<script setup lang="ts">
  import { CmsBlockGalleryBuybox } from '@shopware-pwa/composables-next';

  const props = defineProps<{
    content: CmsBlockGalleryBuybox;
  }>();

  const { getSlotContent } = useCmsBlock(props.content);
  const rightContent = getSlotContent('right');
  const leftContent = getSlotContent('left');
</script>

<template>
  <div class="mx-auto flex flex-col justify-center gap-10 lg:container lg:flex-row">
    <div class="basis-4/7 overflow-hidden">
      <CmsGenericElement :content="leftContent" />
    </div>
    <div class="basis-3/7">
      <CmsGenericElement :content="rightContent" />
    </div>
  </div>
</template>
